Docs

Get Constraints

GET /constraints

GET/constraints

Lists the event's constraints, each with its type (General or Task), status (Active or Resolved), the blocking task for a Task constraint and the tasks it constrains. Needs an event token and the event project management admin permission.

Response

Type: GetConstraintsResponse[]

GetConstraintsResponse

FieldTypeDescription
iduuid
namestring| null
descriptionstring| null
typestring| null
statusstring| null
constrainedByTaskIduuid| null
constrainedTaskIdsuuid[]| null